io.vertx.ext.auth.shiro

## Enum ShiroAuthRealmType

- java.lang.Object
- - java.lang.Enum<ShiroAuthRealmType>
  - - io.vertx.ext.auth.shiro.ShiroAuthRealmType

- All Implemented Interfaces:
    Serializable, Comparable<ShiroAuthRealmType>

      public enum ShiroAuthRealmType
      extends Enum<ShiroAuthRealmType>

  The type of the Shiro auth realm
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LDAP` The realm is a Shiro LDAP auth provider
    `PROPERTIES` The realm is a Shiro properties auth provider

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShiroAuthRealmType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShiroAuthRealmType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPERTIES

          public static final ShiroAuthRealmType PROPERTIES

      The realm is a Shiro properties auth provider

    - #### LDAP

          public static final ShiroAuthRealmType LDAP

      The realm is a Shiro LDAP auth provider

  - ### Method Detail

    - #### values

          public static ShiroAuthRealmType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShiroAuthRealmType c : ShiroAuthRealmType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShiroAuthRealmType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.